//Для реализации клиента нужно создать объект класса QTcpSocket, а затем вызвать метод connectToHost(), передав в него первым параметром
//имя компьютера (или его IP-адрес), а вторым — номер порта сервера. Объект класса QTcpSocket сам попытается установить связь с сервером и,
//в случае успеха, вышлет сигнал connected(). В противном случае будет выслан сигнал error(int) с кодом ошибки, определенным в перечислении
//QAbstractSocket:: SocketError. Это может произойти, например, в том случае, если на указанном компьютере не запущен сервер или не
//соответствует номер порта. После установления соединения объект класса QTcpSocket может высылать или считывать данные сервера.

#include <QApplication>
#include "MyClient.h"

int main(int argc, char** argv)
{

    QApplication app(argc, argv);
    MyClient    client("localhost", 2323);

    client.show();

    return app.exec();
}

//Здесь мы создаем объект клиента. Если сервер и клиент запускаются на одном компьютере, то в качестве имени компьютера можно передать
//строку "localhost". Номер порта в нашем случае равен 2323, т. к. это тот порт, который используется нашим сервером.
